﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ex06_02
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string[] menber = new string[] { "青菜", "山羊", "野狼", "農夫" };
        private void Form1_Load(object sender, EventArgs e)
        {
            lstLeft.Items.AddRange(menber);
            lstLeft.Enabled = true;  //設定左岸能選
            lstRight.Enabled = false; //設定右岸不能選
            btnLeft.Enabled = false; //設定<---不能使用
        }

        private void btnHelp_Click(object sender, EventArgs e)
        {
            MessageBox.Show("1.農夫1次只能帶1樣或空手過河。\n2.農夫不在時山羊會吃青菜，野狼會吃山羊。\n3.3件都帶過河就過關。", "遊戲說明");
        }
        //按 ---> 鈕
        private void btnRight_Click(object sender, EventArgs e)
        {
            string s_item;//紀錄左岸選取的項目
            lstLeft.Enabled = false; //設定左岸不能選
            lstRight.Enabled = true; //設定右岸能選
            btnRight.Enabled = false; //設定--->不能使用
            btnLeft.Enabled = true; //設定<---可以使用
            if (lstLeft.Text != "")
            {
                s_item = lstLeft.Text;//取得左岸選取的項目
                lstLeft.Items.Remove(s_item); //將選擇的項目由左岸移除
                lstRight.Items.Add(s_item);  //將選擇的項目加到右岸
                if (s_item != "農夫")  //如果選的項目不是農夫，則農夫也要過河
                {
                    lstLeft.Items.Remove("農夫"); //左岸移除農夫
                    lstRight.Items.Add("農夫");   //右岸增加農夫
                }
                //檢查左岸山羊和青菜是否同時存在
                if (lstLeft.FindStringExact("山羊") != -1 && lstLeft.FindStringExact("青菜") != -1)
                {
                    MessageBox.Show("山羊吃掉青菜");
                    //遊戲結束重新開始
                    lstLeft.Items.Clear();
                    lstLeft.Items.AddRange(menber);
                    lstRight.Items.Clear();
                    lstLeft.Enabled = true;
                    lstRight.Enabled = false;
                    btnRight.Enabled = true; //設定--->可以使用
                    btnLeft.Enabled = false; //設定<---不能使用
                }
                else
                {
                    //檢查左岸山羊和野狼是否同時存在
                    if (lstLeft.FindStringExact("山羊") != -1 && lstLeft.FindStringExact("野狼") != -1)
                    {
                        MessageBox.Show("野狼吃掉山羊");
                        lstLeft.Items.Clear();
                        lstLeft.Items.AddRange(menber);
                        lstRight.Items.Clear();
                        lstLeft.Enabled = true;
                        lstRight.Enabled = false;
                        btnRight.Enabled = true; //設定--->可以使用
                        btnLeft.Enabled = false; //設定<---不能使用
                    }
                }
            }
            if (lstRight.Items.Count == 4)//如果右岸有四個項目
            {
                MessageBox.Show("任務完成！！！");
                lstLeft.Items.Clear();
                lstLeft.Items.AddRange(menber);
                lstRight.Items.Clear();
                lstLeft.Enabled = true;
                lstRight.Enabled = false;
                btnRight.Enabled = true; //設定--->可以使用
                btnLeft.Enabled = false; //設定<---不能使用
                return;
            }
        }
        //按 <--- 鈕
        private void btnLeft_Click(object sender, EventArgs e)
        {
            string s_item = "";
            lstLeft.Enabled = true;
            lstRight.Enabled = false;
            btnRight.Enabled = true; //設定--->可以使用
            btnLeft.Enabled = false; //設定<---不能使用
            if (lstRight.Text != "")
            {
                s_item = lstRight.Text;
                lstRight.Items.Remove(s_item);
                lstLeft.Items.Add(s_item);
                if (s_item != "農夫")
                {
                    lstRight.Items.Remove("農夫");
                    lstLeft.Items.Add("農夫");
                }
                //檢查右岸山羊和青菜是否同時存在
                if (lstRight.FindStringExact("山羊") != -1 && lstRight.FindStringExact("青菜") != -1)
                {
                    MessageBox.Show("山羊吃掉青菜");
                    lstLeft.Items.Clear();
                    lstLeft.Items.AddRange(menber);
                    lstRight.Items.Clear();
                    lstLeft.Enabled = true;
                    lstRight.Enabled = false;
                    btnRight.Enabled = true; //設定--->可以使用
                    btnLeft.Enabled = false; //設定<---不能使用
                }
                else
                {
                    //檢查右岸山羊和野狼是否同時存在
                    if (lstRight.FindStringExact("山羊") != -1 && lstRight.FindStringExact("野狼") != -1)
                    {
                        MessageBox.Show("野狼吃掉山羊");
                        lstLeft.Items.Clear();
                        lstLeft.Items.AddRange(menber);
                        lstRight.Items.Clear();
                        lstLeft.Enabled = true;
                        lstRight.Enabled = false;
                        btnRight.Enabled = true; //設定--->可以使用
                        btnLeft.Enabled = false; //設定<---不能使用
                    }
                }
            }
        }
    }
}
